

#include "BUILTIN.h"

#include "Array.h"

#include "Nat.h"
extern OBJ _ACAST_3(OBJ);extern OBJ __ACAST_3;
extern OBJ _ANatMapNotForUserPurpose_2(OBJ);OBJ __ANatMapNotForUserPurpose_2; /* abs */
extern OBJ _ANatMapNotForUserPurpose_3(OBJ);OBJ __ANatMapNotForUserPurpose_3; /* rep */
extern OBJ _ANatMapNotForUserPurpose_5(OBJ);OBJ __ANatMapNotForUserPurpose_5; /* myabs */
extern OBJ _ANatMapNotForUserPurpose_6(OBJ);OBJ __ANatMapNotForUserPurpose_6; /* myabs? */
extern OBJ _ANatMapNotForUserPurpose_7(OBJ);OBJ __ANatMapNotForUserPurpose_7; /* myrep */

extern OBJ _ANatMapNotForUserPurpose_2(OBJ x1) /* abs */
{OBJ r;
 r=_ACAST_3(x1);
 return r;}

extern OBJ _ANatMapNotForUserPurpose_3(OBJ x1) /* rep */
{OBJ r;
 r=_ACAST_3(x1);
 return r;}

extern OBJ _ANatMapNotForUserPurpose_5(OBJ x1) /* myabs */
{OBJ r;
 r=x1;
 return r;}

extern OBJ _ANatMapNotForUserPurpose_6(OBJ x1) /* myabs? */
{OBJ r;
 FRPRD(x1,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _ANatMapNotForUserPurpose_7(OBJ x1) /* myrep */
{OBJ r;
 r=x1;
 return r;}

init_ANatMapNotForUserPurpose()
{
 static int visited=0; if(visited) return; visited=1;
 init_ANatMap();
 init_AMap();
 init_AArray();
 init_ANat();
 init_AOption();
 init_ASet();
 init_ASeq();
 init_APair();
 init_ACAST();
 init_ASetByBST();
 init_ABSTree();
 init_ATree();
 CLS(1,_ANatMapNotForUserPurpose_7,__ANatMapNotForUserPurpose_7);
 CLS(1,_ANatMapNotForUserPurpose_6,__ANatMapNotForUserPurpose_6);
 CLS(1,_ANatMapNotForUserPurpose_5,__ANatMapNotForUserPurpose_5);
 CLS(1,_ANatMapNotForUserPurpose_3,__ANatMapNotForUserPurpose_3);
 CLS(1,_ANatMapNotForUserPurpose_2,__ANatMapNotForUserPurpose_2);}

